export namespace MeterbusLibUtils {
    export function bcd(data : Uint8Array) : number {
        let v : string = ""
        data.forEach((c : number) => {
            v += (c & 0xf0) >> 4
            v += c & 0x0f
        })
        let r : number = parseInt(v)
        return r
    }

    export function manufCode(data : Uint8Array) : string {
        let v : number = (data[1] << 8) + data[0]
        return String.fromCharCode((((v >> 10) & 0x1f) + 64), (((v >> 5) & 0x1f) + 64), ((v & 0x1f) + 64))
    }
}